| Bsoft 1.9 Bernard's software package

- Main Page
- Namespaces
- Classes
- Files

- File List
- File Members

Macros | Functions
jdapimin.c File Reference
`#include "jinclude.h"`
`#include "jpeglib.h"`

Go to the source code of this file.

## Macros
#define | JPEG_INTERNALS

## Functions
| jpeg_CreateDecompress (j_decompress_ptr cinfo, int version, size_t structsize)
| jpeg_destroy_decompress (j_decompress_ptr cinfo)
| jpeg_abort_decompress (j_decompress_ptr cinfo)
| default_decompress_parms (j_decompress_ptr cinfo)
| jpeg_read_header (j_decompress_ptr cinfo, boolean require_image)
| jpeg_consume_input (j_decompress_ptr cinfo)
| jpeg_input_complete (j_decompress_ptr cinfo)
| jpeg_has_multiple_scans (j_decompress_ptr cinfo)
| jpeg_finish_decompress (j_decompress_ptr cinfo)

## Macro Definition Documentation

#define JPEG_INTERNALS

Definition at line 19 of file jdapimin.c.

## Function Documentation

default_decompress_parms | ( | j_decompress_ptr | cinfo | ) |

Definition at line 114 of file jdapimin.c.

jpeg_abort_decompress | ( | j_decompress_ptr | cinfo | ) |

Definition at line 103 of file jdapimin.c.

jpeg_consume_input | ( | j_decompress_ptr | cinfo | ) |

Definition at line 287 of file jdapimin.c.

jpeg_CreateDecompress | ( | j_decompress_ptr | cinfo,
|  | int | version,
|  | size_t | structsize
| ) |  |

Definition at line 30 of file jdapimin.c.

jpeg_destroy_decompress | ( | j_decompress_ptr | cinfo | ) |

Definition at line 91 of file jdapimin.c.

jpeg_finish_decompress | ( | j_decompress_ptr | cinfo | ) |

Definition at line 369 of file jdapimin.c.

jpeg_has_multiple_scans | ( | j_decompress_ptr | cinfo | ) |

Definition at line 349 of file jdapimin.c.

jpeg_input_complete | ( | j_decompress_ptr | cinfo | ) |

Definition at line 334 of file jdapimin.c.

jpeg_read_header | ( | j_decompress_ptr | cinfo,
|  | boolean | require_image
| ) |  |

Definition at line 241 of file jdapimin.c.